org.richfaces.renderkit.html

## Class ContextMenuRendererDelegate

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.html.AbstractMenuRenderer
        - - org.richfaces.renderkit.html.ContextMenuRendererDelegate

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class ContextMenuRendererDelegate
      extends AbstractMenuRenderer

  Author:
    Maksim Kaszynski

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuRendererDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class` | `getComponentClass()`
    `protected java.lang.String` | `getLayerScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
    `protected void` | `processLayerStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, javax.faces.context.ResponseWriter writer)`

    - ### Methods inherited from class org.richfaces.renderkit.html.AbstractMenuRenderer

      `encodeChildren, encodeItems, encodeScript, getItemScript, getRendersChildren, getScripts, processLayer`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMenuRendererDelegate

          public ContextMenuRendererDelegate()

  - ### Method Detail

    - #### getLayerScript

          protected java.lang.String getLayerScript(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component)

      Specified by:
        `getLayerScript` in class `AbstractMenuRenderer`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `AbstractMenuRenderer`

    - #### processLayerStyles

          protected void processLayerStyles(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent layer,
                                javax.faces.context.ResponseWriter writer)
                                     throws java.io.IOException

      Specified by:
        `processLayerStyles` in class `AbstractMenuRenderer`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.